Quantcast
Download
(5 Kb)
Download
Updated: 08/24/20 04:19 AM
Pictures
File Info
Compatibility:
Stonethorn (6.1.5)
Greymoor (6.0.5)
Updated:08/24/20 04:19 AM
Created:02/22/20 03:39 PM
Monthly downloads:55
Total downloads:623
Favorites:2
MD5:
Categories:Miscellaneous, RolePlay
6.1.5
Accessorize
Version: 20
by: deadohiosky48 [More]
Display your sense of fashion with ease! Pre-select a mount, non-combat pet, hair style, and several other appearance collectibles for each outfit a character has unlocked and they will automatically be selected when you change outfits. In addition to mount, pet, and hair style, now includes hat, body marking, head marking, facial hair/horns, facial accessory, pierced jewelry, and skin.

Choose only the collectibles you want to use. Leave the rest to the default of "--NONE--".

Install via Minion (preferred for auto-updates), or manually install the two included files in the AddOns directory. This add-on requires the LibAddonMenu-2.0 add-on to also be installed.

Settings are accessible via the Settings -> AddOns menu or by entering /accessorize in chat. Just choose the mount, pet, and hair style in the drop-down menus and close the settings window. That's it, enjoy!

Known issues intended to be remedied in future updates:
  • Settings panel does not update without reload if outfit name is changed, new outfit slot is acquired, or new valid collectible is acquired - workaround is to /reloadui
v20 (2020-08-24) - Removed some old comments, no change to functionality

v19 (2020-08-09) - Updated to indicate Stonethorn compatibility; minor code refactoring, no change to functionality

v18 (2020-05-08) - Updated to indicate Greymoor compatibility; no change to add-on otherwise

v17
  • Added hat, body marking, head marking, facial hair/horns, facial accessory, pierced jewelry, and skin to collectibles that can be pre-selected per outfit
  • Fixed bug that would remove collectible if switching to different outfit that uses the same collectible

v16
  • Added hair style to collectibles that can be pre-selected per outfit
  • Removed explicit dependency on deprecated LibStub

2020-02-24 - Updated txt file to indicate Harrowstorm API compatibility; no change to add-on

v15 - Defaulted outfit name on settings panel to outfit index (e.g. Outfit 1, Outfit 2, etc.) if user had not renamed outfits, otherwise no outfit name would display which also affected saving of collectibles for that outfit

v14 - Updated website link

v13 - Initial upload
Optional Files (0)


Archived Files (3)
File Name
Version
Size
Uploader
Date
19
5kB
deadohiosky48
08/12/20 02:10 AM
19
5kB
deadohiosky48
08/09/20 04:18 PM
18
5kB
deadohiosky48
05/08/20 04:54 AM


Post A Reply Comment Options
Unread 08/22/20, 11:03 AM  
FunkyKong

Forum posts: 0
File comments: 1
Uploads: 0
I'm unable to find Accessorize on Minion or any mods by you, deadohiosky48. Under the "Find More" tab I have Category set to Any, Patch# set to Any and you just aren't showing up.
Report comment to moderator  
Reply With Quote
Unread 03/10/20, 02:11 PM  
deadohiosky48
AddOn Author - Click to view AddOns

Forum posts: 2
File comments: 5
Uploads: 1
Originally Posted by Baertram
Thanks!

You should change the addon description and add the dependency there as not all are reading the changelog.
Just add something like:

This addon needs the following dependencies installed:
LibAddonMenu-2.0
Thanks for the suggestion, will do
Report comment to moderator  
Reply With Quote
Unread 03/05/20, 04:17 AM  
Baertram
 
Baertram's Avatar
AddOn Author - Click to view AddOns

Forum posts: 3098
File comments: 3722
Uploads: 63
Thanks!

You should change the addon description and add the dependency there as not all are reading the changelog.
Just add something like:

This addon needs the following dependencies installed:
LibAddonMenu-2.0
Last edited by Baertram : 03/05/20 at 04:17 AM.
Report comment to moderator  
Reply With Quote
Unread 02/25/20, 04:50 PM  
deadohiosky48
AddOn Author - Click to view AddOns

Forum posts: 2
File comments: 5
Uploads: 1
Thanks for the guidance!

Originally Posted by Baertram
Thanks for the addon but please do not add LIbStub as a dependency to your "addon"...
Thank you for the guidance! The joys of learning from other people's (old) code. Change being made now.
Report comment to moderator  
Reply With Quote
Unread 02/24/20, 07:28 AM  
Baertram
 
Baertram's Avatar
AddOn Author - Click to view AddOns

Forum posts: 3098
File comments: 3722
Uploads: 63
Thanks for the addon but please do not add LIbStub as a dependency to your "addon".
LibSTub is a versioning control used for "libraries" and not a dependency of addons.
It must be added as a dependency to the libraries's manifest txt file!

Thanks for changing your txt from:
Code:
## DependsOn: LibStub LibAddonMenu-2.0
to:

Code:
## DependsOn: LibAddonMenu-2.0
LibAddonMenu-2.0.txt got an entry ## DependsOn or ## OptionalDependsOn: LibStub already and will control if your addon needs it or not automatically.
As LibStub will be obsolete one day it's better to not add it anymore where not needed.

Use the global variables of the libraies in your code, like
Lua Code:
  1. local LAM = LibAddonMenu2
instead of
Lua Code:
  1. local LAM = LibStub("LibAddonMenu-2.0")

or hybrid:
Lua Code:
  1. local LAM = LibAddonMenu2
  2. if not LAM and LibStub then
  3.    LAM = LibStub("LibAddonMenu-2.0")
  4. end
  5. if not LAM then d("Library LibAddonMenu-2.0 is missing!") return end
This code MUST be in your event_add_on_loaded callback function (as there all the dependencies were loaded before your addon! if you put it directly into your lua files it might check to early!) or event_player_activated (there the chat is ready and you can use the d() message e.g.).
Report comment to moderator  
Reply With Quote
Post A Reply



Category Jump: